Package com.emc.documentum.rest.model

# Class VirtualDocumentNode

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.VirtualDocumentNode

All Implemented Interfaces:
  `Linkable`

public class VirtualDocumentNode extends AbstractLinkable
Model virtual document node in the repository.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `VirtualDocumentNode.CopyBehavior`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PREFIX_ROOT_NODE_ID`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VirtualDocumentNode()`
  `VirtualDocumentNode(String binding, Boolean overrideLateBinding, Boolean followAssembly, VirtualDocumentNode.CopyBehavior copyBehavior, Integer orderNum)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `List<String>`
  `getAvailableVersions()`
  `String`
  `getBinding()`
  `String`
  `getBindingIfNull(String binding)`
  `String`
  `getBookId()`
  `Integer`
  `getChildCount()`
  `String`
  `getChronicleId()`
  `SysObject`
  `getComponent()`
  `VirtualDocumentNode.CopyBehavior`
  `getCopyBehavior()`
  `VirtualDocumentNode.CopyBehavior`
  `getCopyBehaviorIfNull(VirtualDocumentNode.CopyBehavior copyBehavior)`
  `boolean`
  `getFollowAssemblyIfNull(boolean followAssembly)`
  `String`
  `getLateBindingValue()`
  `String`
  `getNodeId()`
  `Integer`
  `getOrderNum()`
  `int`
  `getOrderNumIfNull(int orderNum)`
  `boolean`
  `getOverrideLateBindingIfNull(boolean overrideLateBinding)`
  `String`
  `getParentId()`
  `String`
  `getRelationshipId()`
  `Date`
  `getSelectedObjectCreationDate()`
  `String`
  `getSelectedObjectId()`
  `Date`
  `getSelectedObjectModifyDate()`
  `String`
  `getSelectedObjectName()`
  `String`
  `getType()`
  `String`
  `getVdmNumber()`
  `int`
  `hashCode()`
  `boolean`
  `isAreChildrenCompound()`
  `boolean`
  `isBindingBroken()`
  `boolean`
  `isCanBeRemoved()`
  `boolean`
  `isCanBeRestructured()`
  `boolean`
  `isCompound()`
  `Boolean`
  `isFollowAssembly()`
  `boolean`
  `isFromAssembly()`
  `Boolean`
  `isOverrideLateBinding()`
  `boolean`
  `isStructurallyModified()`
  `boolean`
  `isVirtualDocument()`
  `void`
  `setAreChildrenCompound(boolean areChildrenCompound)`
  `void`
  `setAvailableVersions(List<String> availableVersions)`
  `void`
  `setBinding(String binding)`
  `void`
  `setBindingBroken(boolean isBindingBroken)`
  `void`
  `setBookId(String bookId)`
  `void`
  `setCanBeRemoved(boolean canBeRemoved)`
  `void`
  `setCanBeRestructured(boolean canBeRestructured)`
  `void`
  `setChildCount(Integer childCount)`
  `void`
  `setChronicleId(String chronicleId)`
  `void`
  `setComponent(SysObject component)`
  `void`
  `setCompound(boolean isCompound)`
  `void`
  `setCopyBehavior(VirtualDocumentNode.CopyBehavior copyBehavior)`
  `void`
  `setFollowAssembly(Boolean followAssembly)`
  `void`
  `setFromAssembly(boolean isFromAssembly)`
  `void`
  `setLateBindingValue(String lateBindingValue)`
  `void`
  `setNodeId(String id)`
  `void`
  `setOrderNum(Integer orderNum)`
  `void`
  `setOverrideLateBinding(Boolean overrideLateBinding)`
  `void`
  `setParentId(String parentId)`
  `void`
  `setRelationshipId(String relationshipId)`
  `void`
  `setSelectedObjectCreationDate(Date selectedObjectCreationDate)`
  `void`
  `setSelectedObjectId(String selectedObjectId)`
  `void`
  `setSelectedObjectModifyDate(Date selectedObjectModifyDate)`
  `void`
  `setSelectedObjectName(String selectedObjectName)`
  `void`
  `setStructurallyModified(boolean isStructurallyModified)`
  `void`
  `setType(String type)`
  `void`
  `setVdmNumber(String vdmNumber)`
  `void`
  `setVirtualDocument(boolean isVirtualDocument)`
  `String`
  `toString()`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PREFIX_ROOT_NODE_ID

    public static final String PREFIX_ROOT_NODE_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VirtualDocumentNode

    public VirtualDocumentNode()

  - ### VirtualDocumentNode

    public VirtualDocumentNode(String binding, Boolean overrideLateBinding, Boolean followAssembly, VirtualDocumentNode.CopyBehavior copyBehavior, Integer orderNum)

- ## Method Details

  - ### getBookId

    public String getBookId()

  - ### setBookId

    public void setBookId(String bookId)

  - ### getAvailableVersions

    public List<String> getAvailableVersions()

  - ### setAvailableVersions

    public void setAvailableVersions(List<String> availableVersions)

  - ### getBinding

    public String getBinding()

  - ### setBinding

    public void setBinding(String binding)

  - ### getBindingIfNull

    public String getBindingIfNull(String binding)

  - ### getChildCount

    public Integer getChildCount()

  - ### setChildCount

    public void setChildCount(Integer childCount)

  - ### getChronicleId

    public String getChronicleId()

  - ### setChronicleId

    public void setChronicleId(String chronicleId)

  - ### getCopyBehavior

    public VirtualDocumentNode.CopyBehavior getCopyBehavior()

  - ### setCopyBehavior

    public void setCopyBehavior(VirtualDocumentNode.CopyBehavior copyBehavior)

  - ### getCopyBehaviorIfNull

    public VirtualDocumentNode.CopyBehavior getCopyBehaviorIfNull(VirtualDocumentNode.CopyBehavior copyBehavior)

  - ### isFollowAssembly

    public Boolean isFollowAssembly()

  - ### setFollowAssembly

    public void setFollowAssembly(Boolean followAssembly)

  - ### getFollowAssemblyIfNull

    public boolean getFollowAssemblyIfNull(boolean followAssembly)

  - ### getNodeId

    public String getNodeId()

  - ### setNodeId

    public void setNodeId(String id)

  - ### getLateBindingValue

    public String getLateBindingValue()

  - ### setLateBindingValue

    public void setLateBindingValue(String lateBindingValue)

  - ### isOverrideLateBinding

    public Boolean isOverrideLateBinding()

  - ### setOverrideLateBinding

    public void setOverrideLateBinding(Boolean overrideLateBinding)

  - ### getOverrideLateBindingIfNull

    public boolean getOverrideLateBindingIfNull(boolean overrideLateBinding)

  - ### getVdmNumber

    public String getVdmNumber()

  - ### setVdmNumber

    public void setVdmNumber(String vdmNumber)

  - ### isAreChildrenCompound

    public boolean isAreChildrenCompound()

  - ### setAreChildrenCompound

    public void setAreChildrenCompound(boolean areChildrenCompound)

  - ### isCanBeRemoved

    public boolean isCanBeRemoved()

  - ### setCanBeRemoved

    public void setCanBeRemoved(boolean canBeRemoved)

  - ### isCanBeRestructured

    public boolean isCanBeRestructured()

  - ### setCanBeRestructured

    public void setCanBeRestructured(boolean canBeRestructured)

  - ### isBindingBroken

    public boolean isBindingBroken()

  - ### setBindingBroken

    public void setBindingBroken(boolean isBindingBroken)

  - ### isCompound

    public boolean isCompound()

  - ### setCompound

    public void setCompound(boolean isCompound)

  - ### isFromAssembly

    public boolean isFromAssembly()

  - ### setFromAssembly

    public void setFromAssembly(boolean isFromAssembly)

  - ### isStructurallyModified

    public boolean isStructurallyModified()

  - ### setStructurallyModified

    public void setStructurallyModified(boolean isStructurallyModified)

  - ### isVirtualDocument

    public boolean isVirtualDocument()

  - ### setVirtualDocument

    public void setVirtualDocument(boolean isVirtualDocument)

  - ### getSelectedObjectName

    public String getSelectedObjectName()

  - ### setSelectedObjectName

    public void setSelectedObjectName(String selectedObjectName)

  - ### getSelectedObjectId

    public String getSelectedObjectId()

  - ### setSelectedObjectId

    public void setSelectedObjectId(String selectedObjectId)

  - ### getSelectedObjectCreationDate

    public Date getSelectedObjectCreationDate()

  - ### setSelectedObjectCreationDate

    public void setSelectedObjectCreationDate(Date selectedObjectCreationDate)

  - ### getSelectedObjectModifyDate

    public Date getSelectedObjectModifyDate()

  - ### setSelectedObjectModifyDate

    public void setSelectedObjectModifyDate(Date selectedObjectModifyDate)

  - ### getOrderNum

    public Integer getOrderNum()

  - ### setOrderNum

    public void setOrderNum(Integer orderNum)

  - ### getOrderNumIfNull

    public int getOrderNumIfNull(int orderNum)

  - ### getParentId

    public String getParentId()

  - ### setParentId

    public void setParentId(String parentId)

  - ### getRelationshipId

    public String getRelationshipId()

  - ### setRelationshipId

    public void setRelationshipId(String relationshipId)

  - ### getComponent

    public SysObject getComponent()

  - ### setComponent

    public void setComponent(SysObject component)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`